package com.agri.system.service.impl;

import java.util.List;
import com.agri.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.agri.system.mapper.SysDtuRemarkMapper;
import com.agri.system.domain.SysDtuRemark;
import com.agri.system.service.ISysDtuRemarkService;

/**
 * dtu设备备注Service业务层处理
 * 
 * @author lld
 * @date 2026-01-21
 */
@Service
public class SysDtuRemarkServiceImpl extends ServiceImpl<SysDtuRemarkMapper, SysDtuRemark> implements ISysDtuRemarkService 
{

    /**
     * 查询dtu设备备注
     * 
     * @param id dtu设备备注主键
     * @return dtu设备备注
     */
    @Override
    public SysDtuRemark selectSysDtuRemarkById(Long id)
    {
        return baseMapper.selectSysDtuRemarkById(id);
    }

    /**
     * 查询dtu设备备注列表
     * 
     * @param sysDtuRemark dtu设备备注
     * @return dtu设备备注
     */
    @Override
    public List<SysDtuRemark> selectSysDtuRemarkList(SysDtuRemark sysDtuRemark)
    {
        return baseMapper.selectSysDtuRemarkList(sysDtuRemark);
    }

    /**
     * 新增dtu设备备注
     * 
     * @param sysDtuRemark dtu设备备注
     * @return 结果
     */
    @Override
    public int insertSysDtuRemark(SysDtuRemark sysDtuRemark)
    {
        sysDtuRemark.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysDtuRemark(sysDtuRemark);
    }

    /**
     * 修改dtu设备备注
     * 
     * @param sysDtuRemark dtu设备备注
     * @return 结果
     */
    @Override
    public int updateSysDtuRemark(SysDtuRemark sysDtuRemark)
    {
        sysDtuRemark.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysDtuRemark(sysDtuRemark);
    }

    /**
     * 批量删除dtu设备备注
     * 
     * @param ids 需要删除的dtu设备备注主键
     * @return 结果
     */
    @Override
    public int deleteSysDtuRemarkByIds(Long[] ids)
    {
        return baseMapper.deleteSysDtuRemarkByIds(ids);
    }

    /**
     * 删除dtu设备备注信息
     * 
     * @param id dtu设备备注主键
     * @return 结果
     */
    @Override
    public int deleteSysDtuRemarkById(Long id)
    {
        return baseMapper.deleteSysDtuRemarkById(id);
    }
}
